import 'package:lab_rat_storage/lab_rat_storage.dart';
import 'wp_rendered.dart';

class WPPost extends JsonObject{
    int id;
    String slug;
    String status;
    String type;
    String link;
    WPRendered title;
    WPRendered content;
    WPRendered excerpt;

    DateTime _date;
    void set date(String date) => _date = DateTime.parse(date);
    String get date => _date.toString();

    @override
    void fromJson(Map target){
        id = target['id'];
        slug = target['slug'];
        status = target['status'];
        type = target['type'];
        link = target['link'];

        date = target['date'];

        title = new WPRendered()..fromJson(target['title']);
        content = new WPRendered()..fromJson(target['content']);
        excerpt = new WPRendered()..fromJson(target['excerpt']);
    }
}